{
    attributes = (
        {
            columnName = "BOUTIQUE_ID"; 
            externalType = NUMBER; 
            name = boutiqueId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_DEBUT"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_FIN"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (boutiqueId, persId); 
    className = "org.cocktail.kava.server.metier.EOBoutiqueClient"; 
    classProperties = (dateDebut, dateFin, fournisUlrs, structureUlrs, personne, boutique); 
    externalName = "jefy_recette.boutique_client"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOBoutiqueClient"; 
        "_nameInObjectStore" = "boutique_client"; 
    }; 
    name = BoutiqueClient; 
    primaryKeyAttributes = (boutiqueId, persId); 
    relationships = (
        {
            deleteRule = EODeleteRuleNoAction; 
            destination = Boutique; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = boutiqueId; sourceAttribute = boutiqueId; }); 
            name = boutique; 
        }, 
        {
            deleteRule = EODeleteRuleNoAction; 
            destination = FournisUlr; 
            internalInfo = {"_nameInObjectStore" = fournisUlr; }; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = fournisUlrs; 
        }, 
        {
            deleteRule = EODeleteRuleNoAction; 
            destination = Personne; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = personne; 
        }, 
        {
            deleteRule = EODeleteRuleNoAction; 
            destination = StructureUlr; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = structureUlrs; 
        }
    ); 
}
